Loading...
Searching...
No Matches
jni::TypedMethods< jfloat > Struct Reference

`#include <typed_methods.hpp>`

## Static Public Attributes

static constexpr auto | CallMethod = &JNIEnv::CallFloatMethod
static constexpr auto | CallNonvirtualMethod = &JNIEnv::CallNonvirtualFloatMethod
static constexpr auto | GetField = &JNIEnv::GetFloatField
static constexpr auto | SetField = &JNIEnv::SetFloatField
static constexpr auto | CallStaticMethod = &JNIEnv::CallStaticFloatMethod
static constexpr auto | GetStaticField = &JNIEnv::GetStaticFloatField
static constexpr auto | SetStaticField = &JNIEnv::SetStaticFloatField
static constexpr auto | NewArray = &JNIEnv::NewFloatArray
static constexpr auto | GetArrayElements = &JNIEnv::GetFloatArrayElements
static constexpr auto | ReleaseArrayElements = &JNIEnv::ReleaseFloatArrayElements
static constexpr auto | GetArrayRegion = &JNIEnv::GetFloatArrayRegion
static constexpr auto | SetArrayRegion = &JNIEnv::SetFloatArrayRegion

## Member Data Documentation

## CallMethod

auto jni::TypedMethods< jfloat >::CallMethod = &JNIEnv::CallFloatMethod

static constexpr

## CallNonvirtualMethod

auto jni::TypedMethods< jfloat >::CallNonvirtualMethod = &JNIEnv::CallNonvirtualFloatMethod

static constexpr

## CallStaticMethod

auto jni::TypedMethods< jfloat >::CallStaticMethod = &JNIEnv::CallStaticFloatMethod

static constexpr

## GetArrayElements

auto jni::TypedMethods< jfloat >::GetArrayElements = &JNIEnv::GetFloatArrayElements

static constexpr

## GetArrayRegion

auto jni::TypedMethods< jfloat >::GetArrayRegion = &JNIEnv::GetFloatArrayRegion

static constexpr

## GetField

auto jni::TypedMethods< jfloat >::GetField = &JNIEnv::GetFloatField

static constexpr

## GetStaticField

auto jni::TypedMethods< jfloat >::GetStaticField = &JNIEnv::GetStaticFloatField

static constexpr

## NewArray

auto jni::TypedMethods< jfloat >::NewArray = &JNIEnv::NewFloatArray

static constexpr

## ReleaseArrayElements

auto jni::TypedMethods< jfloat >::ReleaseArrayElements = &JNIEnv::ReleaseFloatArrayElements

static constexpr

## SetArrayRegion

auto jni::TypedMethods< jfloat >::SetArrayRegion = &JNIEnv::SetFloatArrayRegion

static constexpr

## SetField

auto jni::TypedMethods< jfloat >::SetField = &JNIEnv::SetFloatField

static constexpr

## SetStaticField

auto jni::TypedMethods< jfloat >::SetStaticField = &JNIEnv::SetStaticFloatField

static constexpr

The documentation for this struct was generated from the following file:

- /build/lime-9DdzML/lime-5.3.105+dfsg/src/jni/typed_methods.hpp